%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)
%define real_name Business-FR-SIREN
Summary: 	This module verifies SIRENs, which are french companies identification
Name: 		perl-Business-FR-SIREN
Version: 	0.01
Release: 	10.3
License: 	Artistic/GPL
Group: 		Applications/CPAN

Source: 	Business-FR-SIRET-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

BuildArch: 	noarch
BuildRequires: 	perl

%description
This module verifies SIRENs, which are french companies identification. 
This module cannot tell if a SIREN references a real company, but it 
can tell you if the given SIREN is properly formatted.

%prep
%setup -n Business-FR-SIRET-%{version}

%build
perl Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
make

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README 
%doc %{_mandir}/man3/Business*
%{perl_vendorlib}/Business/FR/SIREN.pm
%{perl_vendorlib}/Business/FR/SIRET.pm

%changelog
